TESTING/EIG/dget31.f(3)

NAME
TESTING/EIG/dget31.f

SYNOPSIS

  Functions/Subroutines
subroutine dget31 (rmax, lmax, ninfo, knt)
DGET31

Function/Subroutine Documentation

  subroutine dget31 (double precision rmax, integer lmax, integer, dimension( 2 ) ninfo, integer knt)

DGET31

Purpose:

     DGET31 tests DLALN2, a routine for solving
        (ca A - w D)X = sB
     where A is an NA by NA matrix (NA=1 or 2 only), w is a real (NW=1) or
     complex (NW=2) constant, ca is a real constant, D is an NA by NA real
     diagonal matrix, and B is an NA by NW matrix (when NW=2 the second
     column of B contains the imaginary part of the solution).  The code
     returns X and s, where s is a scale factor, less than or equal to 1,
     which is chosen to avoid overflow in X.
     If any singular values of ca A-w D are less than another input
     parameter SMIN, they are perturbed up to SMIN.
     The test condition is that the scaled residual
         norm( (ca A-w D)*X - s*B ) /
               ( max( ulp*norm(ca A-w D), SMIN )*norm(X) )
     should be on the order of 1.  Here, ulp is the machine precision.
     Also, it is verified that SCALE is less than or equal to 1, and that
     XNORM = infinity-norm(X).

Parameters
    RMAX

              RMAX is DOUBLE PRECISION
              Value of the largest test ratio.

    LMAX

              LMAX is INTEGER
              Example number where largest test ratio achieved.

    NINFO

              NINFO is INTEGER array, dimension (2)
              NINFO(1) = number of examples with INFO less than 0
              NINFO(2) = number of examples with INFO greater than 0

    KNT

              KNT is INTEGER
              Total number of examples tested.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 90 of file dget31.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.